[Rubygems-developers] Comeback of auth httpproxy problem

Anatol Pomozov anatol.pomozov at gmail.com
Fri Feb 2 06:32:55 EST 2007

Hi, all.

I am again about 'using rubygems behind authenticated proxy' problem.

Some time ago this problem was fixed in SVN and I (and other people) start
using rubygems in corporate environment.

But with 0.9.1 release I've got several responses that it does not work
anymore. People start receiving PROXY AUTHENTICATION ERROR again.

I dig into this problem and found that it happens because new version of
rubygems do not contain open-uri library. And current version uses open-uri
from standard package.

But unfortunately open-uri in 1.8.4 has lack of authenticated proxy support.
It does not takes into account username and password passed in url
parameter. This bug was fixed in 1.9.x ruby branch and we have ability to
use proxy_http_basic_authentication parameter.

So my patch that fixes this problem includes required changes to Rubygems
code + open-uri library from 1.9 branch. I've just check it for corporate
firewall and it works well.

anatol (http://feeds.feedburner.com/apomozov-eng)
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/rubygems-developers/attachments/20070202/af9922df/attachment-0001.html 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: fix_auth_proxy_problem.patch
Type: application/octet-stream
Size: 27337 bytes
Desc: not available
Url : http://rubyforge.org/pipermail/rubygems-developers/attachments/20070202/af9922df/attachment-0001.obj 

More information about the Rubygems-developers mailing list